Rated 5 out of 5 stars

after using this add-on for some time you will see that browsing without it is almost impossible
works in 3.6 and 3.7, only needs removing stupid version check